* {
    margin: 0;
    padding: 0;
}
.case{
    background-color: #fff;
    margin-top: 88px;
}
.case-main{ 
    width: 1440px;
    min-width: 1440px;
    margin: 0 auto;
    padding: 24px 0 120px;
}

#case-main-title{
    margin-top: 32px;
    font-weight: bold;
    font-size: 44px;
    color: #181818;
    line-height: 56px;
}
#time-wrap{
    margin-top: 32px;
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 18px;
    color: #8C9198;
}
#cut-off-line-top{
    margin: 56px 0 32px;
    border: 1px solid #EBEDF0;
}
#abstract{
    line-height: 34px;
    font-weight: 400;
    font-size: 18px;
    color: #666666;
    text-indent: 4em; 
}
#case-img{
    width: 100%;
    height: auto; /* 保持宽高比 */
    object-fit: cover
}
#case-text{
    font-weight: 400;
    font-size: 18px;
    color: #666666;
    line-height: 34px;
}
#case-text img{
    display: block;
    margin: 0 auto;
}
#cut-off-line-bottom{
    margin: 56px 0;
    border: 1px solid #EBEDF0;
}
#case-wrap{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.case-item{
    width: 463px;
    border-radius: 12px;
    cursor: pointer;
}
.case-item-img{
    width: 100%;
    height: 255px;
    display: block;
    margin: 0 auto;
    object-fit: cover;
}
.case-item-text{
    margin-top: 24px;
    font-weight: bold;
    font-size: 18px;
    color: #181818;
    height: 48px;
    display: -webkit-box; /* 启用弹性盒子布局 */
    -webkit-line-clamp: 2; /* 限制显示2行 */
    -webkit-box-orient: vertical; /* 垂直排列 */
    overflow: hidden; /* 隐藏超出部分 */
    text-overflow: ellipsis; /* 超出部分显示省略号 */
}
#more-btn{
    margin: 56px auto 0;
    width: 273px;
    line-height: 60px;
    text-align: center;
    background: #2E65F5;
    border-radius: 4px;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;
    cursor: pointer;
}